WhatsApp Templates
Unpublish Template
Unpublishes a WhatsApp Template
POST
/
api
/
v1
/
whatsapp-templates
/
{id}
/
publish
/
cURL
curl --request POST \
--url https://alpha-plagiocephalic-darrell.ngrok-free.dev/api/v1/whatsapp-templates/{id}/publish/ \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"accountIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
'import requests
url = "https://alpha-plagiocephalic-darrell.ngrok-free.dev/api/v1/whatsapp-templates/{id}/publish/"
payload = { "accountIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"] }
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({accountIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']})
};
fetch('https://alpha-plagiocephalic-darrell.ngrok-free.dev/api/v1/whatsapp-templates/{id}/publish/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"parameterFormat": "<string>",
"accountLinks": [
{
"accountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"accountName": "<string>",
"wabaId": "<string>",
"metaTemplateId": "<string>",
"qualityScore": "<string>",
"rejectionReason": "<string>"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"language": "<string>",
"components": "<unknown>"
}This endpoint lets you unpublish a WhatsApp Template from one or more WhatsApp Business Accounts.
Authorizations
API key authentication. Pass your API key in the X-API-Key header.
Path Parameters
Body
application/json
Input for publishing a template to one or more accounts.
List of WhatsApp Business Account IDs to publish the template to
Minimum array length:
1Response
200 - application/json
Serializer for local WhatsApp templates with account links.
Maximum string length:
512UTILITY- UtilityMARKETING- MarketingAUTHENTICATION- Authentication
Available options:
UTILITY, MARKETING, AUTHENTICATION Show child attributes
Show child attributes
Maximum string length:
10Was this page helpful?
⌘I
cURL
